# See https://help.github.com/articles/ignoring-files/ for more about ignoring files.

# dependencies
/node_modules
/.pnp
.pnp.js

# testing
/coverage

# production
/build

# misc
.nyc_output/*
.DS_Store
.env.local
.env.development.local
.env.test.local
.env.production.local

npm-debug.log*
yarn-debug.log*
yarn-error.log*

# built docs
/docs/build

/.vs
/.vscode
.idea/
dist/
junit-report.xml
linting.xml

package-lock.json

PrivateRules.mak

# yarn https://yarnpkg.com/getting-started/qa#which-files-should-be-gitignored
.yarn/*
!.yarn/cache
!.yarn/patches
!.yarn/plugins
!.yarn/releases
!.yarn/sdks
!.yarn/versions

# compiled Helm charts
charts/ska-oso-odt-ui-umbrella/charts
charts/ska-oso-odt-ui-umbrella/Chart.lock

# cypress test output (screenshots, recordings, etc.)
tests/cypress/artefacts/*
## Expected location of openapi spec files for code generation
local/
